org.apache.ignite.spi

## Interface IgniteSpiTimeoutObject

All Known Implementing Classes:
  TcpCommunicationConnectionCheckFuture

    public interface IgniteSpiTimeoutObject

Provides possibility to schedule delayed execution, see `IgniteSpiContext.addTimeoutObject(IgniteSpiTimeoutObject)`.

Note: all timeout objects are executed in single dedicated thread, so implementation of `onTimeout()` should not use time consuming and blocking method.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `endTime()`
`IgniteUuid` `id()`
`void` `onTimeout()` Timeout callback.

### Method Detail

#### id

    IgniteUuid id()

Returns:
  Unique object ID.

#### endTime

    long endTime()

Returns:
  End time.

#### onTimeout

    void onTimeout()

Timeout callback.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019